rvm_terminate(3)

NAME
rvm_terminate - terminate RVM

SYNOPSIS

#include "rvm.h"
rvm_return_t rvm_terminate ()

DESCRIPTION
rvm_terminate checks for uncommitted transactions and otherwise insures a clean exit from RVM. If an uncommitted transaction is found, RVM_EUNCOMMIT is returned, and the application should call rvm_query to discover such transactions. If any are discovered, this is an indicator of likely program logic errors. If there are no uncommitted transactions, the log is flushed, and all regions unmapped. RVM cannot be reinitialized after termination.

DIAGNOSTICS

RVM_SUCCESS
    success

RVM_EUNCOMMIT
    uncommitted transaction(s) pending

RVM_EINIT
    RVM not initialized

SEE ALSO
rvm_initialize (3), and rvm_query (3)

AUTHOR
Hank Mashburn